Skip to main content
GET
/
subscription
/
api
/
v1
/
subscriptions
/
{id}
/
upcoming?count=5
Upcoming Charges
curl --request GET \
  --url 'https://api.payaza.africa/live/subscription/api/v1/subscriptions/{id}/upcoming?count=5' \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.payaza.africa/live/subscription/api/v1/subscriptions/{id}/upcoming?count=5"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.payaza.africa/live/subscription/api/v1/subscriptions/{id}/upcoming?count=5', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "message": "Success",
  "data": [
    {
      "chargeDate": "2026-07-09T20:18:20.701875",
      "amount": 100,
      "currency": "NGN"
    },
    {
      "chargeDate": "2026-08-09T20:18:20.701875",
      "amount": 100,
      "currency": "NGN"
    },
    {
      "chargeDate": "2026-09-09T20:18:20.701875",
      "amount": 100,
      "currency": "NGN"
    },
    {
      "chargeDate": "2026-10-09T20:18:20.701875",
      "amount": 100,
      "currency": "NGN"
    },
    {
      "chargeDate": "2026-11-09T20:18:20.701875",
      "amount": 100,
      "currency": "NGN"
    }
  ]
}

Authorizations

Authorization
string
header
required

Payaza {{Public API Key in Base 64}}

Path Parameters

id
integer
required

The page number to be retrieved.

Query Parameters

count
integer
required

Number of upcoming charges to return. Defaults to 5.

Response

Request Successful

success
boolean

Indicates if the request was successful.

Example:

true

message
string

Descriptive message regarding the operation.

Example:

"Success"

data
object[]

An ordered list containing upcoming projected billing charge dates and amounts.